#
# spec file for package perl-Gravatar-URL
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gravatar-URL
Version:        1.06
Release:        12.1
%define cpan_name Gravatar-URL
Summary:        Make URLs for Gravatars from an email address
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gravatar-URL/
Source:         http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::DNS::Resolver)
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(parent)
#BuildRequires: perl(Gravatar::URL)
#BuildRequires: perl(Unicornify::URL)
Requires:       perl(Digest::SHA)
Requires:       perl(Net::DNS::Resolver)
Requires:       perl(URI::Escape)
Requires:       perl(parent)
%{perl_requires}

%description
A Gravatar is a Globally Recognized Avatar for a given email address. This
allows you to have a global picture associated with your email address. You
can look up the Gravatar for any email address by constructing a URL to get
the image from the gravatar.com manpage. This module does that.

Examples of use include the author faces on the http://search.cpan.org
manpage.

See the http://gravatar.com manpage for more info.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Tue May 29 2012 coolo@suse.com
- updated to 1.06
    Bug fixes
  * Fixed some undef warnings during sanitization.
    Test fixes
  * Adapt to changes in Carp 1.25 [RT#75523]
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 29 2011 coolo@suse.com
- update to 1.05
    Security fix
  * Sanitize DNS results in Libravatar::URL
* Mon May 30 2011 coolo@novell.com
- regenerate with newest cpanspec
* Fri Apr  8 2011 coolo@novell.com
- initial package 1.04
  * created by cpanspec 1.78.04
